:root, [data-bs-theme=light] {
  --bs-primary: #343a40;
  --bs-primary-rgb: 52,58,64;
  --bs-primary-text-emphasis: #15171A;
  --bs-primary-bg-subtle: #D6D8D9;
  --bs-primary-border-subtle: #AEB0B3;
  --bs-secondary: #dee2e6;
  --bs-secondary-rgb: 222,226,230;
  --bs-secondary-text-emphasis: #595A5C;
  --bs-secondary-bg-subtle: #F8F9FA;
  --bs-secondary-border-subtle: #F2F3F5;
  --bs-success: #dee2e6;
  --bs-success-rgb: 222,226,230;
  --bs-success-text-emphasis: #595A5C;
  --bs-success-bg-subtle: #F8F9FA;
  --bs-success-border-subtle: #F2F3F5;
  --bs-info: #160b99;
  --bs-info-rgb: 22,11,153;
  --bs-info-text-emphasis: #09043D;
  --bs-info-bg-subtle: #D0CEEB;
  --bs-info-border-subtle: #A29DD6;
  --bs-dark: #000000;
  --bs-dark-rgb: 0,0,0;
  --bs-dark-text-emphasis: #000000;
  --bs-dark-bg-subtle: #CCCCCC;
  --bs-dark-border-subtle: #999999;
  --bs-link-hover-color: #ff0000;
  --bs-link-hover-color-rgb: 255,0,0;
  --bs-link-decoration: underline;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #343a40;
  --bs-btn-border-color: #343a40;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #2C3136;
  --bs-btn-hover-border-color: #2A2E33;
  --bs-btn-focus-shadow-rgb: 225,225,226;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #2A2E33;
  --bs-btn-active-border-color: #272C30;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #343a40;
  --bs-btn-disabled-border-color: #343a40;
}

.btn-outline-primary {
  --bs-btn-color: #343a40;
  --bs-btn-border-color: #343a40;
  --bs-btn-focus-shadow-rgb: 52,58,64;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #343a40;
  --bs-btn-hover-border-color: #343a40;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #343a40;
  --bs-btn-active-border-color: #343a40;
  --bs-btn-disabled-color: #343a40;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #343a40;
}

.btn-secondary {
  --bs-btn-color: #000000;
  --bs-btn-bg: #dee2e6;
  --bs-btn-border-color: #dee2e6;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #E3E6EA;
  --bs-btn-hover-border-color: #E1E5E9;
  --bs-btn-focus-shadow-rgb: 33,34,35;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #E5E8EB;
  --bs-btn-active-border-color: #E1E5E9;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #dee2e6;
  --bs-btn-disabled-border-color: #dee2e6;
}

.btn-outline-secondary {
  --bs-btn-color: #dee2e6;
  --bs-btn-border-color: #dee2e6;
  --bs-btn-focus-shadow-rgb: 222,226,230;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #dee2e6;
  --bs-btn-hover-border-color: #dee2e6;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #dee2e6;
  --bs-btn-active-border-color: #dee2e6;
  --bs-btn-disabled-color: #dee2e6;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #dee2e6;
}

.btn-success {
  --bs-btn-color: #000000;
  --bs-btn-bg: #dee2e6;
  --bs-btn-border-color: #dee2e6;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #E3E6EA;
  --bs-btn-hover-border-color: #E1E5E9;
  --bs-btn-focus-shadow-rgb: 33,34,35;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #E5E8EB;
  --bs-btn-active-border-color: #E1E5E9;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #dee2e6;
  --bs-btn-disabled-border-color: #dee2e6;
}

.btn-outline-success {
  --bs-btn-color: #dee2e6;
  --bs-btn-border-color: #dee2e6;
  --bs-btn-focus-shadow-rgb: 222,226,230;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #dee2e6;
  --bs-btn-hover-border-color: #dee2e6;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #dee2e6;
  --bs-btn-active-border-color: #dee2e6;
  --bs-btn-disabled-color: #dee2e6;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #dee2e6;
}

.btn-info {
  --bs-btn-color: #fff;
  --bs-btn-bg: #160b99;
  --bs-btn-border-color: #160b99;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #130982;
  --bs-btn-hover-border-color: #12097A;
  --bs-btn-focus-shadow-rgb: 220,218,240;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #12097A;
  --bs-btn-active-border-color: #110873;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #160b99;
  --bs-btn-disabled-border-color: #160b99;
}

.btn-outline-info {
  --bs-btn-color: #160b99;
  --bs-btn-border-color: #160b99;
  --bs-btn-focus-shadow-rgb: 22,11,153;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #160b99;
  --bs-btn-hover-border-color: #160b99;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #160b99;
  --bs-btn-active-border-color: #160b99;
  --bs-btn-disabled-color: #160b99;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #160b99;
}

.btn-dark {
  --bs-btn-color: #fff;
  --bs-btn-bg: #000000;
  --bs-btn-border-color: #000000;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #000000;
  --bs-btn-hover-border-color: #000000;
  --bs-btn-focus-shadow-rgb: 217,217,217;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #000000;
  --bs-btn-active-border-color: #000000;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #000000;
  --bs-btn-disabled-border-color: #000000;
}

.btn-outline-dark {
  --bs-btn-color: #000000;
  --bs-btn-border-color: #000000;
  --bs-btn-focus-shadow-rgb: 0,0,0;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #000000;
  --bs-btn-hover-border-color: #000000;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #000000;
  --bs-btn-active-border-color: #000000;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #000000;
}

a {
  text-decoration: var(--bs-link-decoration);
}

[data-bs-theme=dark] {
  --bs-success: #dee2e6;
  --bs-success-rgb: 222,226,230;
  --bs-success-text-emphasis: #EBEEF0;
  --bs-success-bg-subtle: #2C2D2E;
  --bs-success-border-subtle: #85888A;
}

[data-bs-theme=dark] .btn-success, .btn-success[data-bs-theme=dark] {
  --bs-btn-color: #000000;
  --bs-btn-bg: #dee2e6;
  --bs-btn-border-color: #dee2e6;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #E3E6EA;
  --bs-btn-hover-border-color: #E1E5E9;
  --bs-btn-focus-shadow-rgb: 33,34,35;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #E5E8EB;
  --bs-btn-active-border-color: #E1E5E9;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #dee2e6;
  --bs-btn-disabled-border-color: #dee2e6;
}

[data-bs-theme=dark] .btn-outline-success, .btn-outline-success[data-bs-theme=dark] {
  --bs-btn-color: #dee2e6;
  --bs-btn-border-color: #dee2e6;
  --bs-btn-focus-shadow-rgb: 222,226,230;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #dee2e6;
  --bs-btn-hover-border-color: #dee2e6;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #dee2e6;
  --bs-btn-active-border-color: #dee2e6;
  --bs-btn-disabled-color: #dee2e6;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #dee2e6;
}

